<?php
/**
 * Active Callbacks
 *
 * @package technology_software_firm
 */

// Theme Options.
function technology_software_firm_is_pagination_enabled( $technology_software_firm_control ) {
	return ( $technology_software_firm_control->manager->get_setting( 'technology_software_firm_enable_pagination' )->value() );
}
function technology_software_firm_is_breadcrumb_enabled( $technology_software_firm_control ) {
	return ( $technology_software_firm_control->manager->get_setting( 'technology_software_firm_enable_breadcrumb' )->value() );
}
function technology_software_firm_is_layout_enabled( $technology_software_firm_control ) {
	return ( $technology_software_firm_control->manager->get_setting( 'technology_software_firm_website_layout' )->value() );
}
function technology_software_firm_is_pagetitle_bcakground_image_enabled( $technology_software_firm_control ) {
	return ( $technology_software_firm_control->manager->get_setting( 'technology_software_firm_page_header_style' )->value() );
}
function technology_software_firm_is_preloader_style( $technology_software_firm_control ) {
	return ( $technology_software_firm_control->manager->get_setting( 'technology_software_firm_enable_preloader' )->value() );
}

// Banner Slider Section.
function technology_software_firm_is_banner_slider_section_enabled( $technology_software_firm_control ) {
	return ( $technology_software_firm_control->manager->get_setting( 'technology_software_firm_enable_banner_section' )->value() );
}
function technology_software_firm_is_banner_slider_section_and_content_type_post_enabled( $technology_software_firm_control ) {
	$technology_software_firm_content_type = $technology_software_firm_control->manager->get_setting( 'technology_software_firm_banner_slider_content_type' )->value();
	return ( technology_software_firm_is_banner_slider_section_enabled( $technology_software_firm_control ) && ( 'post' === $technology_software_firm_content_type ) );
}
function technology_software_firm_is_banner_slider_section_and_content_type_page_enabled( $technology_software_firm_control ) {
	$technology_software_firm_content_type = $technology_software_firm_control->manager->get_setting( 'technology_software_firm_banner_slider_content_type' )->value();
	return ( technology_software_firm_is_banner_slider_section_enabled( $technology_software_firm_control ) && ( 'page' === $technology_software_firm_content_type ) );
}

// Services section.
function technology_software_firm_is_post_tab_section_and_content_type_page_enabled( $technology_software_firm_control ) {
	$technology_software_firm_content_type = $technology_software_firm_control->manager->get_setting( 'technology_software_firm_slider_slider_content_type' )->value();
	return ( technology_software_firm_is_slider_section_enabled( $technology_software_firm_control ) && ( 'page' === $technology_software_firm_content_type ) );
}
function technology_software_firm_is_post_tab_section_and_content_type_post_enabled( $technology_software_firm_control ) {
	$technology_software_firm_content_type = $technology_software_firm_control->manager->get_setting( 'technology_software_firm_slider_slider_content_type' )->value();
	return ( technology_software_firm_is_slider_section_enabled( $technology_software_firm_control ) && ( 'post' === $technology_software_firm_content_type ) );
}
function technology_software_firm_is_services_section_enabled( $technology_software_firm_control ) {
	return ( $technology_software_firm_control->manager->get_setting( 'technology_software_firm_enable_services_section' )->value() );
}
function technology_software_firm_is_services_section_and_content_type_post_enabled( $technology_software_firm_control ) {
	$technology_software_firm_content_type = $technology_software_firm_control->manager->get_setting( 'technology_software_firm_services_content_type' )->value();
	return ( technology_software_firm_is_services_section_enabled( $technology_software_firm_control ) && ( 'post' === $technology_software_firm_content_type ) );
}
function technology_software_firm_is_services_section_and_content_type_page_enabled( $technology_software_firm_control ) {
	$technology_software_firm_content_type = $technology_software_firm_control->manager->get_setting( 'technology_software_firm_services_content_type' )->value();
	return ( technology_software_firm_is_services_section_enabled( $technology_software_firm_control ) && ( 'page' === $technology_software_firm_content_type ) );
}